import { _objectSpread2 } from "../../_virtual/_@oxc-project_runtime@0.122.0/helpers/objectSpread2.js";
import Addons from "./addons/index.js";
import Info from "./info/main.js";
import Notes from "./notes/index.js";
import Forms from "./forms/index.js";
import { Context, Provider } from "./model.js";
import React, { useContext, useEffect } from "react";
//#region src/components/booking/index.tsx
const Booking = Provider(() => {
	const { state, dispatch } = useContext(Context);
	useEffect(() => {}, []);
	const setState = (payload) => {
		dispatch({
			type: "setState",
			payload: _objectSpread2({}, payload)
		});
	};
	return /* @__PURE__ */ React.createElement("div", { className: "" }, /* @__PURE__ */ React.createElement(Info, {
		globalState: state,
		setGlobalState: setState
	}), /* @__PURE__ */ React.createElement(Notes, {
		globalState: state,
		setGlobalState: setState
	}), /* @__PURE__ */ React.createElement(Addons, {
		globalState: state,
		setGlobalState: setState
	}), /* @__PURE__ */ React.createElement(Forms, {
		globalState: state,
		setGlobalState: setState
	}));
});
//#endregion
export { Booking as default };
